CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.com] PV3FoamReader does not exist

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   January 31, 2022, 03:21
Default PV3FoamReader does not exist
  #1
Member
 
Join Date: Dec 2018
Posts: 72
Rep Power: 5
hbulus is on a distinguished road
Hello, the installed version of OpenFOAM is 'OpenFOAM-v2112'
Installed paraview version is 'ParaView-5.6.0'
Installed Qt version is 'Qt5.12.4'
I work on HPC machines so i dont have sudo permission but i can make IT do commands.

I want to open paraview with paraFoam reader. Therefore , i try to build the reader module before continuing:
cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers but i cant find PV3Readers modules at all!

Is there anyone who can help me why it does not exist?
hbulus is offline   Reply With Quote

Old   February 1, 2022, 03:51
Default
  #2
Senior Member
 
Mark Olesen
Join Date: Mar 2009
Location: https://olesenm.github.io/
Posts: 1,503
Rep Power: 35
olesen will become famous soon enougholesen will become famous soon enough
Quote:
Originally Posted by hbulus View Post
Hello, the installed version of OpenFOAM is 'OpenFOAM-v2112'
Installed paraview version is 'ParaView-5.6.0'
Installed Qt version is 'Qt5.12.4'
I work on HPC machines so i dont have sudo permission but i can make IT do commands.

I want to open paraview with paraFoam reader. Therefore , i try to build the reader module before continuing:
cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers but i cant find PV3Readers modules at all!

Is there anyone who can help me why it does not exist?

You appear to have something really weird with your setup. The message about "graphics/PV3Readers" does not make any sense whatsoever. Not only are we well beyond ParaView-3 (tk-based if I remember correctly), but all of the visualization stuff has been moved out into a separate module as well. This was done to improve flexibility (can recompile with different rendering backends and different paraview or vtk versions).

Some information is available on the corresponding wiki page:
https://develop.openfoam.com/Develop.../visualization

Can either work from the git repo, grab the sources out of the OpenFOAM source pack, or get the module sources separately:
https://dl.openfoam.com/source/latest/ (eg, OpenFOAM-modules-v2112.tgz)

However, I strongly suggest that you read the comments on the wiki:
https://develop.openfoam.com/Develop...raview-plugins
https://discourse.paraview.org/t/i-w...n-should-i-use

I, for one, use the builtin reader almost exclusively. It is still a bit rough around the edges with respect to handling zones (would like to address that in https://gitlab.kitware.com/vtk/vtk/-/issues/18157 which needs resources to tackle) but otherwise fairly complete.
olesen is offline   Reply With Quote

Reply

Tags
parafoam paraview error

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[swak4Foam] swak4foam openfoam 7 installation problem Andrea23 OpenFOAM Community Contributions 1 February 17, 2020 18:11
does Hyperthreading affect the application of UDF? SJSW Fluent UDF and Scheme Programming 11 October 10, 2018 22:28
[OpenFOAM] Distributed ParaView and PV3FoamReader micalil ParaView 4 July 1, 2010 05:09
Dfconsol.lib or Ifconsol.lib for linking earexe ? Noel Phoenics 5 October 15, 2008 09:50
Errors running allwmake in OpenFOAM141dev with WM_COMPILE_OPTION%3ddebug unoder OpenFOAM Installation 11 January 30, 2008 20:30


All times are GMT -4. The time now is 15:44.